MSA Help


About MSA Help

Conventions
Contact Us
Copyright Statements


Conventions

The typographic conventions used in this help are described below.

Convention | Description
Bold | Used to denote components of the user interface such as buttons, field names, menus, and menu options. For example, the New button.
Menu...MenuOption | Select the menu from the menu bar then select the menu option from the menu. For example, File...Open would mean to select the File menu and then the Open option.
CAPS | Used to denote the name of a key on the keyboard. For example, the ENTER key.
Italics | Used to denote emphasis, captions and the result of an action in a procedure.


Contact Us

General enquiries on the MSA for DigitalMicropraph should be sent to:

HREM Research Inc.
14-48 Matsukazedai
Higashimatsuyama
Saitama 355-0055
Japan

email: mailto:support@hremresearch.com
Website: http://www.hremresearch.com/

Enquiries on MSA of a technical nature should be directed to:

Dr. Masashi Watanabe
Department of Materials Science and Engineering/
Center for Advanced Materials and Nanotechnology
Lehigh University, Bethlehem, PA18015, USA
email:mailto:masashi.watanabe@lehigh.edu
http://www.lehigh.edu/~maw3/index.html


Copyright Statements

© Copyright 2008-2014 HREM Research Inc (Japan) and Lehigh University

All rights reserved. This manual is protected by international copyright laws and treaties. Unauthorized reproduction and distribution of this manual, or any portion of it, will be prosecuted to the maximum extent possible and may result in severe civil and criminal penalties.

Portions of this document were prepared by HREM Research Inc. by editing the materials supplied by Dr. Masashi Watanabe.

DigitalMicrograph is a trade mark of Gatan Inc.


The MSA Main Menu

The commands in the MSA menu are described below.

Command | Description
Import (see sub menus) | Imports an SI data from different software or acquisition systems.
MSA (see sub menus) | Executes wPCA methods.
Bin SI | Bins an SI data spectrally or spatially.
Spatial Sub SI | Extracts SI data spatially specified by a rectangular ROI
Spectral Sub SI | Extracts SI data spectrally specified by a range ROI.
Extract Component(s) (see sub menus) | Extracts a single or all component data from a stacked component data.
Help (see sub menus) | Opens MSA help
About MSA | Displays “About MSA” dialog


Import SubMenu

Component | Description
EMSA Spectrum File Series | Imports an SI data from EMSA spectrum file series (a line profile (1D scan data).
XED-SI Data | Imports an SI data from XED-SI Data.
EFTEM Image Series | Imports an SI data from EFTEM Image Series.


EMSA Spectrum File Series Dialog

The components of the dialog are described below.

Dialog

MSADLG_EMSA Spectrum File Series.png

Component | Description
Select folder | Specifies the folder where EMSA formatted file is saved.
File parameters | Parameters for input files
Root filename | The root file name (foo of foojjj.ext).
Extension | The extension (ext of foojjj.ext).
File numbers | List of index numbers t (jjj of foojjj.ext).
Step scale | The scan step size.
Step unit | The scan step unit (nm or angstrom).


XED-SI Data Dialog

The components of the dialog are described below.

Dialog

Component | Description
System | Select the system type or Generic.
File configurations | Specifies the format of files to be imported. (If the input is not required then it will be gray out.)
Offset | Offset in byte before the data starts.
Byte size | Size of each data value in byte.
Swap data byte | If selected, the data byte order is swapped.
Vector-wise format | If selected, each spectrum has been saved sequentially in the file.
SI size |
X pixels / Y pixels | Number of the image pixels along x-axis / y-axis
Channels | Number of data channels for spectrum.
Calibration |
X axis / Y axis / E axis | Specifies Width / Height / Energy (Spectrum) axes
Scale | Scale of each pixels or channels
Origin | Starting value of each axis
Unit | Unit of Width / Height / Energy (Spectrum) axes


EFTEM Image Series

EFTEM Image Series Dialog

The components of the dialog are described below.

Dialog

MSADLG_EFTEM Image Series.png

Component | Description
File parameters |
Initial image | Select the first image using the file browser. (All the images should be in the same folder)
Final image | Select the last image using the file browser. (All the images should be in the same folder)
Energy step | The energy step value in eV between the images.


MSA SubMenu

Component | Description
Weighted PCA | Executes Weighted PCA for a whole region.
Spectral Local wPCA | Executes Weighted PCA for each spectrally local region.
Spatial Local wPCA | Executes Weighted PCA for each spatially local region.


Weighted PCA Dialog

The components of the dialog are described below.

Dialog

Component | Description
Select SI | Specifies a 2D or 3D SI data file using the file browser.
Decompose SI | Starts decomposing.
Show Scree plot | Displays a scree plot.
Component evaluation |
Display components | Displays details of components (loadings and scores) between Initial and Final indexes.
Initial / Final | Specifies first and last index of components to be evaluated.
Display in page mode | If it is checked, then the loading and score will be displayed in the page mode.
Reconstruction |
Select nth component for reconstruction | Specifies the number of components used for reconstruction
Reconstruct SI | Starts reconstruction.
Show Residual SI | Displays the residue of reconstruction.
Show Original SI | Displays the original SI
Advanced Setting | Open advanced setting dialog (see the dialog below)
Reset | Clear inputs

Weighted PCA Advanced setting Dialog

The components of the dialog are described below.

Dialog

MSADLG_Weighted PCA_Advanced setting.png

Component | Description
Scaling | Select the scaling mode
Spatial binning | Specifies the spatial binning size.

Weighted PCA Advanced setting Dialog (for GMS 1.x)

The components of the dialog are described below.

Dialog

MSADLG_Weighted PCA_Advanced setting(1.x).png

Component | Description
Scaling | Select the scaling mode
Spatial binning | Specifies the spatial binning size.
Use 64-bit routine | If checked, the 64-bit module will be used. (This is only valid for GMS 1.x.)


Spectral Local wPCA Dialog

The components of the dialog are described below.

Dialog

Component | Description
Select SI | Selects a 3D SI data file using the file browser.
Select Data Folder | Selects a folder to save the processed data for each region using the file browser.
Local channel | Specifies an energy range of each local spectrum in channels or eV.
Convert | Convert the energy range between channels and eV.
Decompose SI | Starts decomposition of all the local regions.
Show Scree Plot | Displays all the scree plots.
Display Components | Displays components of the selected local region.
Initial / Final | Specifies the first and last index of components to be evaluated.
Display in page mode | If it is checked, then the loadings and scores will be displayed in the page mode.
Reconstruct SI | Starts reconstruction using the specified number of components.
Show Residual SI | Displays the residue of reconstruction.
Show Original SI | Opens the original SI
Advanced Setting | Open advanced setting dialog (same as regular PCA)
Reset | Clear inputs


Spatial Local wPCA Dialog

The components of the dialog are described below.

Dialog

Component | Description
Select SI | Selects a 3D SI data file using the file browser.
Select Data Folder | Selects the folder to save the processed data for each region using the file browser.
Local Area | Specifies the size of local area in pixels.
Decompose SI | Starts decomposition of all the local regions.
Show Scree Plot | Displays all the scree plots.
Display Components | Displays components of the selected local region.
Initial / Final | Specifies the first and last index of components to be evaluated.
Display in page mode | If it is checked, then the loadings and scores will be displayed in the page mode.
Reconstruct SI | Starts reconstruction using the specified number of components.
Show Residual SI | Displays the residue of reconstruction.
Show Original SI | Opens the original SI.
Advanced Setting | Open advanced setting dialog (same as regular PCA)
Reset | Clear inputs


Bin SI

Bin SI Dialog

The components of the dialog are described below.

Dialog

Component | Description
Spatial | Bins an SI data with a selected binning factor along x and y directions.
Spectral | Bins an SI data with a selected binning factor along an energy channel.


Extract component(s) SubMenu

Component | Description
Current Component | Extract the current component data (loading and score) from a stacked component data. (The front image must be a stacked component data)
Extract All | Extract all component data (loading and score) from a stacked component data. (The front image must be a stacked component data)


Help SubMenu

Component | Description
Manual | Displays the manual in pdf format.
Command Reference | Displays the Quick Reference Guide in chm format.